function struct = numCode2markleyFun(struct)

% THIS FUNCTION IS ONLY USED IF THE OLD intensity.f files have been used
% for input (Bear V.)

% The conventions correspond to Markley et al., J Mol Biol, 1998, 280, 933-952

for j = 1:length(struct) 
        
        if struct(j).procAss.ATOMi_NUMCODE== 1
            
        struct(j).procAss.ATOMi_MARKLEY = 'H';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 2 
        
        struct(j).procAss.ATOMi_MARKLEY = 'HA';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 3
        
        struct(j).procAss.ATOMi_MARKLEY = 'HA2';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 4 
        
        struct(j).procAss.ATOMi_MARKLEY = 'HA3';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 2007 
        
        struct(j).procAss.ATOMi_MARKLEY = 'QA';

        elseif struct(j).procAss.ATOMi_NUMCODE== 9
        
        struct(j).procAss.ATOMi_MARKLEY = 'HB';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 305
        
        struct(j).procAss.ATOMi_MARKLEY = 'HB1';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 5 || struct(j).procAss.ATOMi_NUMCODE== 315
        
        struct(j).procAss.ATOMi_MARKLEY = 'HB2';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 6 || struct(j).procAss.ATOMi_NUMCODE== 325
        
        struct(j).procAss.ATOMi_MARKLEY = 'HB3';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 2008 
        
        struct(j).procAss.ATOMi_MARKLEY = 'QB';

        elseif struct(j).procAss.ATOMi_NUMCODE== 100
        
        struct(j).procAss.ATOMi_MARKLEY = 'MB';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 20
        
        struct(j).procAss.ATOMi_MARKLEY = 'HG';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 16 % THR, labile
        
        struct(j).procAss.ATOMi_MARKLEY = 'HG1';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 18
        
        struct(j).procAss.ATOMi_MARKLEY = 'HG2';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 19
        
        struct(j).procAss.ATOMi_MARKLEY = 'HG3';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 120
        
        struct(j).procAss.ATOMi_MARKLEY = 'HG11';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 12 || struct(j).procAss.ATOMi_NUMCODE== 130 
        
        struct(j).procAss.ATOMi_MARKLEY = 'HG12';

        elseif struct(j).procAss.ATOMi_NUMCODE== 13 || struct(j).procAss.ATOMi_NUMCODE== 140
                 
        struct(j).procAss.ATOMi_MARKLEY = 'HG13';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 170 || struct(j).procAss.ATOMi_NUMCODE== 335
        
        struct(j).procAss.ATOMi_MARKLEY = 'HG21'; 
            
        elseif struct(j).procAss.ATOMi_NUMCODE== 180 || struct(j).procAss.ATOMi_NUMCODE== 345
        
        struct(j).procAss.ATOMi_MARKLEY = 'HG22';

        elseif struct(j).procAss.ATOMi_NUMCODE== 190 || struct(j).procAss.ATOMi_NUMCODE== 355
        
        struct(j).procAss.ATOMi_MARKLEY = 'HG23';

        elseif struct(j).procAss.ATOMi_NUMCODE== 2010 || struct(j).procAss.ATOMi_NUMCODE== 2011 || struct(j).procAss.ATOMi_NUMCODE== 6111 

        struct(j).procAss.ATOMi_MARKLEY = 'QG';
            
        elseif struct(j).procAss.ATOMi_NUMCODE== 103
        
        struct(j).procAss.ATOMi_MARKLEY = 'MG';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 101
        
        struct(j).procAss.ATOMi_MARKLEY = 'MG1';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 102
        
        struct(j).procAss.ATOMi_MARKLEY = 'MG2';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 39 || struct(j).procAss.ATOMi_NUMCODE== 47 || struct(j).procAss.ATOMi_NUMCODE== 63
        
        struct(j).procAss.ATOMi_MARKLEY = 'HD1';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 29 || struct(j).procAss.ATOMi_NUMCODE== 42 || struct(j).procAss.ATOMi_NUMCODE== 48
        
        struct(j).procAss.ATOMi_MARKLEY = 'HD2';   
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 30
        
        struct(j).procAss.ATOMi_MARKLEY = 'HD3';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 220 || struct(j).procAss.ATOMi_NUMCODE== 250 
        
        struct(j).procAss.ATOMi_MARKLEY = 'HD11';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 230 || struct(j).procAss.ATOMi_NUMCODE== 255
        
        struct(j).procAss.ATOMi_MARKLEY = 'HD12';
               
        elseif struct(j).procAss.ATOMi_NUMCODE== 240 || struct(j).procAss.ATOMi_NUMCODE== 260 
               
        struct(j).procAss.ATOMi_MARKLEY = 'HD13';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 52 || struct(j).procAss.ATOMi_NUMCODE== 270 
        
        struct(j).procAss.ATOMi_MARKLEY = 'HD21';
  
        elseif struct(j).procAss.ATOMi_NUMCODE== 53  || struct(j).procAss.ATOMi_NUMCODE==  280   

        struct(j).procAss.ATOMi_MARKLEY = 'HD22';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 290
        
        struct(j).procAss.ATOMi_MARKLEY = 'HD23';
          
        elseif struct(j).procAss.ATOMi_NUMCODE== 2014 || struct(j).procAss.ATOMi_NUMCODE== 2017 || struct(j).procAss.ATOMi_NUMCODE== 2080 || struct(j).procAss.ATOMi_NUMCODE== 6112

        struct(j).procAss.ATOMi_MARKLEY = 'QD';

        elseif struct(j).procAss.ATOMi_NUMCODE== 107
        
        struct(j).procAss.ATOMi_MARKLEY = 'MD';
                
        elseif struct(j).procAss.ATOMi_NUMCODE== 104
        
        struct(j).procAss.ATOMi_MARKLEY = 'MD1';
                
        elseif struct(j).procAss.ATOMi_NUMCODE== 105
        
        struct(j).procAss.ATOMi_MARKLEY = 'MD2';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 64
        
        struct(j).procAss.ATOMi_MARKLEY = 'HE';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 43 || struct(j).procAss.ATOMi_NUMCODE== 49 || struct(j).procAss.ATOMi_NUMCODE== 51 || struct(j).procAss.ATOMi_NUMCODE== 365
        
        struct(j).procAss.ATOMi_MARKLEY = 'HE1';
                
        elseif struct(j).procAss.ATOMi_NUMCODE== 31 || struct(j).procAss.ATOMi_NUMCODE== 41 || struct(j).procAss.ATOMi_NUMCODE== 67 || struct(j).procAss.ATOMi_NUMCODE== 375
        
        struct(j).procAss.ATOMi_MARKLEY = 'HE2';   
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 32 || struct(j).procAss.ATOMi_NUMCODE== 33 || struct(j).procAss.ATOMi_NUMCODE== 385
        
        struct(j).procAss.ATOMi_MARKLEY = 'HE3';

        elseif struct(j).procAss.ATOMi_NUMCODE== 65
        
        struct(j).procAss.ATOMi_MARKLEY = 'HE21';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 66
        
        struct(j).procAss.ATOMi_MARKLEY = 'HE22';

        elseif struct(j).procAss.ATOMi_NUMCODE== 2015 || struct(j).procAss.ATOMi_NUMCODE== 2020 || struct(j).procAss.ATOMi_NUMCODE== 2081

        struct(j).procAss.ATOMi_MARKLEY = 'QE';       

        elseif struct(j).procAss.ATOMi_NUMCODE== 106
        
        struct(j).procAss.ATOMi_MARKLEY = 'ME';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 4021
        
        struct(j).procAss.ATOMi_MARKLEY = 'QR';
                
        elseif struct(j).procAss.ATOMi_NUMCODE== 35
        
        struct(j).procAss.ATOMi_MARKLEY = 'HZ';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 56
        
        struct(j).procAss.ATOMi_MARKLEY = 'HZ1';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 37 || struct(j).procAss.ATOMi_NUMCODE== 57
        
        struct(j).procAss.ATOMi_MARKLEY = 'HZ2';

        elseif struct(j).procAss.ATOMi_NUMCODE== 38 || struct(j).procAss.ATOMi_NUMCODE== 68
        
        struct(j).procAss.ATOMi_MARKLEY = 'HZ3';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 2069
        
        struct(j).procAss.ATOMi_MARKLEY = 'QZ'; % LYS, taken as methlene since 3HZ has PKa 11
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 34 % TYR labile
        
        struct(j).procAss.ATOMi_MARKLEY = 'HH';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 40
        
        struct(j).procAss.ATOMi_MARKLEY = 'HH2';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 58
        
        struct(j).procAss.ATOMi_MARKLEY = 'HH11';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 70
        
        struct(j).procAss.ATOMi_MARKLEY = 'HH12';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 61
        
        struct(j).procAss.ATOMi_MARKLEY = 'HH21';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 62
        
        struct(j).procAss.ATOMi_MARKLEY = 'HH22';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 2071
        
        struct(j).procAss.ATOMi_MARKLEY = 'QH1';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 2072
        
        struct(j).procAss.ATOMi_MARKLEY = 'QH2';
        
        elseif struct(j).procAss.ATOMi_NUMCODE== 4074
        
        struct(j).procAss.ATOMi_MARKLEY = 'QH';
        
        end
end


for j = 1:length(struct) 
    
        if struct(j).procAss.ATOMj_NUMCODE== 1
            
        struct(j).procAss.ATOMj_MARKLEY = 'H';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 2 
        
        struct(j).procAss.ATOMj_MARKLEY = 'HA';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 3
        
        struct(j).procAss.ATOMj_MARKLEY = 'HA2';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 4 
        
        struct(j).procAss.ATOMj_MARKLEY = 'HA3';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 2007 
        
        struct(j).procAss.ATOMj_MARKLEY = 'QA';

        elseif struct(j).procAss.ATOMj_NUMCODE== 9
        
        struct(j).procAss.ATOMj_MARKLEY = 'HB';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 305
        
        struct(j).procAss.ATOMj_MARKLEY = 'HB1';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 5 || struct(j).procAss.ATOMj_NUMCODE== 315
        
        struct(j).procAss.ATOMj_MARKLEY = 'HB2';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 6 || struct(j).procAss.ATOMj_NUMCODE== 325
        
        struct(j).procAss.ATOMj_MARKLEY = 'HB3';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 2008 
        
        struct(j).procAss.ATOMj_MARKLEY = 'QB';

        elseif struct(j).procAss.ATOMj_NUMCODE== 100
        
        struct(j).procAss.ATOMj_MARKLEY = 'MB';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 20
        
        struct(j).procAss.ATOMj_MARKLEY = 'HG';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 16 % THR, labile
        
        struct(j).procAss.ATOMj_MARKLEY = 'HG1';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 18
        
        struct(j).procAss.ATOMj_MARKLEY = 'HG2';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 19
        
        struct(j).procAss.ATOMj_MARKLEY = 'HG3';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 120
        
        struct(j).procAss.ATOMj_MARKLEY = 'HG11';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 12 || struct(j).procAss.ATOMj_NUMCODE== 130 
        
        struct(j).procAss.ATOMj_MARKLEY = 'HG12';

        elseif struct(j).procAss.ATOMj_NUMCODE== 13 || struct(j).procAss.ATOMj_NUMCODE== 140
                 
        struct(j).procAss.ATOMj_MARKLEY = 'HG13';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 170 || struct(j).procAss.ATOMj_NUMCODE== 335
        
        struct(j).procAss.ATOMj_MARKLEY = 'HG21'; 
            
        elseif struct(j).procAss.ATOMj_NUMCODE== 180 || struct(j).procAss.ATOMj_NUMCODE== 345
        
        struct(j).procAss.ATOMj_MARKLEY = 'HG22';

        elseif struct(j).procAss.ATOMj_NUMCODE== 190 || struct(j).procAss.ATOMj_NUMCODE== 355
        
        struct(j).procAss.ATOMj_MARKLEY = 'HG23';

        elseif struct(j).procAss.ATOMj_NUMCODE== 2010 || struct(j).procAss.ATOMj_NUMCODE== 2011 || struct(j).procAss.ATOMj_NUMCODE== 6111 

        struct(j).procAss.ATOMj_MARKLEY = 'QG';
            
        elseif struct(j).procAss.ATOMj_NUMCODE== 103
        
        struct(j).procAss.ATOMj_MARKLEY = 'MG';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 101
        
        struct(j).procAss.ATOMj_MARKLEY = 'MG1';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 102
        
        struct(j).procAss.ATOMj_MARKLEY = 'MG2';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 39 || struct(j).procAss.ATOMj_NUMCODE== 47 || struct(j).procAss.ATOMj_NUMCODE== 63
        
        struct(j).procAss.ATOMj_MARKLEY = 'HD1';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 29 || struct(j).procAss.ATOMj_NUMCODE== 42 || struct(j).procAss.ATOMj_NUMCODE== 48
        
        struct(j).procAss.ATOMj_MARKLEY = 'HD2';   
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 30
        
        struct(j).procAss.ATOMj_MARKLEY = 'HD3';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 220 || struct(j).procAss.ATOMj_NUMCODE== 250 
        
        struct(j).procAss.ATOMj_MARKLEY = 'HD11';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 230 || struct(j).procAss.ATOMj_NUMCODE== 255
        
        struct(j).procAss.ATOMj_MARKLEY = 'HD12';
               
        elseif struct(j).procAss.ATOMj_NUMCODE== 240 || struct(j).procAss.ATOMj_NUMCODE== 260 
               
        struct(j).procAss.ATOMj_MARKLEY = 'HD13';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 52 || struct(j).procAss.ATOMj_NUMCODE== 270 
        
        struct(j).procAss.ATOMj_MARKLEY = 'HD21';
  
        elseif struct(j).procAss.ATOMj_NUMCODE== 53  || struct(j).procAss.ATOMj_NUMCODE==  280   

        struct(j).procAss.ATOMj_MARKLEY = 'HD22';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 290
        
        struct(j).procAss.ATOMj_MARKLEY = 'HD23';
          
        elseif struct(j).procAss.ATOMj_NUMCODE== 2014 || struct(j).procAss.ATOMj_NUMCODE== 2017 || struct(j).procAss.ATOMj_NUMCODE== 2080 || struct(j).procAss.ATOMj_NUMCODE== 6112

        struct(j).procAss.ATOMj_MARKLEY = 'QD';

        elseif struct(j).procAss.ATOMj_NUMCODE== 107
        
        struct(j).procAss.ATOMj_MARKLEY = 'MD';
                
        elseif struct(j).procAss.ATOMj_NUMCODE== 104
        
        struct(j).procAss.ATOMj_MARKLEY = 'MD1';
                
        elseif struct(j).procAss.ATOMj_NUMCODE== 105
        
        struct(j).procAss.ATOMj_MARKLEY = 'MD2';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 64
        
        struct(j).procAss.ATOMj_MARKLEY = 'HE';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 43 || struct(j).procAss.ATOMj_NUMCODE== 49 || struct(j).procAss.ATOMj_NUMCODE== 51 || struct(j).procAss.ATOMj_NUMCODE== 365
        
        struct(j).procAss.ATOMj_MARKLEY = 'HE1';
                
        elseif struct(j).procAss.ATOMj_NUMCODE== 31 || struct(j).procAss.ATOMj_NUMCODE== 41 || struct(j).procAss.ATOMj_NUMCODE== 67 || struct(j).procAss.ATOMj_NUMCODE== 375
        
        struct(j).procAss.ATOMj_MARKLEY = 'HE2';   
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 32 || struct(j).procAss.ATOMj_NUMCODE== 33 || struct(j).procAss.ATOMj_NUMCODE== 385
        
        struct(j).procAss.ATOMj_MARKLEY = 'HE3';

        elseif struct(j).procAss.ATOMj_NUMCODE== 65
        
        struct(j).procAss.ATOMj_MARKLEY = 'HE21';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 66
        
        struct(j).procAss.ATOMj_MARKLEY = 'HE22';

        elseif struct(j).procAss.ATOMj_NUMCODE== 2015 || struct(j).procAss.ATOMj_NUMCODE== 2020 || struct(j).procAss.ATOMj_NUMCODE== 2081

        struct(j).procAss.ATOMj_MARKLEY = 'QE';       

        elseif struct(j).procAss.ATOMj_NUMCODE== 106
        
        struct(j).procAss.ATOMj_MARKLEY = 'ME';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 4021
        
        struct(j).procAss.ATOMj_MARKLEY = 'QR';
                
        elseif struct(j).procAss.ATOMj_NUMCODE== 35
        
        struct(j).procAss.ATOMj_MARKLEY = 'HZ';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 56
        
        struct(j).procAss.ATOMj_MARKLEY = 'HZ1';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 37 || struct(j).procAss.ATOMj_NUMCODE== 57
        
        struct(j).procAss.ATOMj_MARKLEY = 'HZ2';

        elseif struct(j).procAss.ATOMj_NUMCODE== 38 || struct(j).procAss.ATOMj_NUMCODE== 68
        
        struct(j).procAss.ATOMj_MARKLEY = 'HZ3';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 2069
        
        struct(j).procAss.ATOMj_MARKLEY = 'QZ'; % LYS, taken as methlene since 3HZ has PKa 11
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 34 % TYR labile
        
        struct(j).procAss.ATOMj_MARKLEY = 'HH';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 40
        
        struct(j).procAss.ATOMj_MARKLEY = 'HH2';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 58
        
        struct(j).procAss.ATOMj_MARKLEY = 'HH11';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 70
        
        struct(j).procAss.ATOMj_MARKLEY = 'HH12';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 61
        
        struct(j).procAss.ATOMj_MARKLEY = 'HH21';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 62
        
        struct(j).procAss.ATOMj_MARKLEY = 'HH22';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 2071
        
        struct(j).procAss.ATOMj_MARKLEY = 'QH1';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 2072
        
        struct(j).procAss.ATOMj_MARKLEY = 'QH2';
        
        elseif struct(j).procAss.ATOMj_NUMCODE== 4074
        
        struct(j).procAss.ATOMj_MARKLEY = 'QH';
        
        end
end
        

        
        